import { Injectable, inject } from "@angular/core";
import { ButtonVisibilityService } from "./button-visibility.service";
import { v4 as uuidv4 } from 'uuid';

export class BaseButtonService {

  readonly id = uuidv4().toString();

  constructor() {
    const bvService = inject(ButtonVisibilityService);
    bvService.buttons[this.id] = this;
  }

  public isVisible: boolean = true;
}